Retrieving Article Notes GET

Dynamic Health allows an administrator to create a note for a particular article for their institution. This API allows an administrator to get one or more of these notes. The GET /content/article-notes?articleId={articleId} endpoint returns a specific article note by using the articleId query parameter to filter the list of article notes for your institution. Before you can execute an article note call, you must have an 'Authorization' token for the request header.

Basic Retrieval of an Article Note

To Perform an Article Note Search (example):

Gather the following information for the request:

Request

GET https://apis.ebsco.com/medsapi-dynamic-health/v1/content/article-notes?articleId=T987654

Response

{
  "_metadata": {
    "links": [
      {
        "rel": "self",
        "href": "https://apis.ebsco.com/medsapi-dynamic-health/v1/content/article-notes?articleId=T987654"
      }
    ],
    "totalItems": 1
  },
  "items": [
    {
      "customer": {
        "id": "your-customer-id"
      },
      "text": "this is a new note",
      "lastUpdate": {
        "timestamp": "2019-10-28T18:51:18.614Z",
        "username": "msmith",
        "firstName": "Mary",
        "lastName": "Smith"
      },
      "article": {
        "id": "T987654"
      }
    }
  ]
}

Request Parameters

  • articleId - The article note to retrive. If missing, all article notes will be returned

Error Response Codes

The Dynamic Health get an article note endpoint can return one of the error response codes.